Bug 138874 - window-list applet 2.8.1 broke for xinerama displays
window-list applet 2.8.1 broke for xinerama displays
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
: 137730 143604 145213 147348 149101 154010 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 14:02 EST by Sam Williams
Modified: 2014-06-18 05:07 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 12:15:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backport (3.20 KB, patch)
2004-12-15 05:55 EST, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Sam Williams 2004-11-11 14:02:50 EST
Description of problem: There is a problem with the window-list applet
on dual-head machines. The issue may be a xinerama bug in metacity,
not completely sure, but I think its in the applet itself. I have a
dual-head machine. On the left most monitor I have a menu panel with
some assorted other applets and icons. There is no problem with this.
On the second monitor, at the top of the screen I have a panel with
just one running applet, the window-list applet. This applet only
shows windows that are started on the monitor on which the panel with
the window-list applet resides. If I have an open window on the left
most monitor I will not see it in the window list until it has been
dragged onto the right most montitor. The problem works the same if I
have a panel with the window-list applet on the left monitor running
the applet. 


Version-Release number of selected component (if applicable):

2.8.1

How reproducible:
100% reproducible on a xinerama desktop

Steps to Reproduce:
1. create a panel on the right monitor
2. install the window-list applet
3. fire up an application on the left monitor
4. Watch as it doesn't appear in the applet
5. Drag the window to the screen that has the running window-list
applet and suddenly it appears. Move it back and ouila it disappears
again.
  
Actual results:
missing windows in the applet.

Expected results:
I expect this to work the way it did under FC2. 

Additional info:
Comment 1 Joe 2004-11-20 13:54:20 EST
I have the same problem.
Comment 2 Andy Kelk 2004-11-23 11:23:53 EST
I find the new behaviour much better than the old one. Now I can have
a window list on each screen and only the windows from the relevant
screen appear.
If people need it to work in the old way, perhaps a config switch
would allow a user to choose between the new and old behaviours.
Comment 3 Sam Williams 2004-11-23 21:16:38 EST
The behavior is remarkably dysfunctional. You expect this applet to
show whats on the workspace and not the particular monitor. Any other
behavior is inappropriate, however since the applet does appear to be
broken, if you could code around the problem and put in a preference
setting that allows you to turn on this behavior. The applet should
still display all the windows in a workspace!!!
Comment 4 Tom Morton 2004-12-08 23:26:37 EST
I'm having the same problem.  A nasty side effect is that if you
minimize the window on a screen w/o a panel there is no obvious way to
get it back.  (Non-obvious ways include Alt-Tab)  I addeded the window
selector to my panel as a work around.  It gets all windows and groups
them into current workspace and non-current workspace which suggests
that this may be a window list applet problem and not a meta-city problem.
Comment 5 Mark McLoughlin 2004-12-15 05:55:38 EST
Created attachment 108598 [details]
backport

Patch backported from upstream:

  http://bugzilla.gnome.org/show_bug.cgi?id=154040
Comment 6 Joe 2004-12-20 09:34:11 EST
Thanks for the patch. I applied it to the libwnck package and it
corrects the behavior of the window list applet. If you run 1 applet,
it manages both screens. If you run a window list applet on each
screen, the window list applet will manage the screens on its desktop.
It's even better than having a config option. 
Comment 7 Mark McLoughlin 2005-01-05 05:40:23 EST
*** Bug 137730 has been marked as a duplicate of this bug. ***
Comment 8 Mark McLoughlin 2005-01-05 05:40:34 EST
*** Bug 143604 has been marked as a duplicate of this bug. ***
Comment 9 Mark McLoughlin 2005-01-17 04:38:51 EST
*** Bug 145213 has been marked as a duplicate of this bug. ***
Comment 10 Mark McLoughlin 2005-02-07 11:12:13 EST
*** Bug 147348 has been marked as a duplicate of this bug. ***
Comment 11 Bernard Lineham 2005-02-17 19:12:45 EST
This problem also occurs in RHEL 4.  A released bug fix would be
appreciated.
Comment 12 Mark McLoughlin 2005-02-22 06:55:45 EST
*** Bug 149101 has been marked as a duplicate of this bug. ***
Comment 13 Mark McLoughlin 2005-04-07 07:49:34 EDT
*** Bug 154010 has been marked as a duplicate of this bug. ***
Comment 14 Mark McLoughlin 2005-04-07 07:52:17 EDT
Ray: this is fixed in rawhide, so its only relevant for FC3 and RHEL4
Comment 15 Jason 2005-04-07 10:55:34 EDT
Will there be a bug fix for FC3?
Comment 16 Ray Strode [halfline] 2005-04-07 15:05:18 EDT
Mark,
Thanks. I'll push updates.

Hi Jason,
Sure.
Comment 17 Bernard Lineham 2005-04-10 19:20:11 EDT
Is there an ETA on the update for RHEL4?
Comment 19 Ray Strode [halfline] 2005-06-08 16:26:38 EDT
Hi Bernard,

This update will probably appear in RHEL4 quarterly update 2
Comment 21 Marty Wesley 2005-06-23 10:56:45 EDT
Three ACKs, moving to CANFIX.
Comment 23 Ben Steeves 2005-06-30 22:20:25 EDT
Currently, if you have the window-list applet open on one panel, it displays all
the windows in the workspace, but if you have it on two panels (one on each
head), it only displays the windows in the head it's on.  Both behaviors are
fine, but I would suggest adding the option for a third behavior: displaying all
the windows on the workspace on both panels.  

This is important in the situation where you have an application (say, a video
player) running full screen on one head.  There's no way to select the windows
or see window events on that head because the window-list applet on that head is
obscured and the windows do not display on the window-list applet of the other head.
Comment 24 Matthew Miller 2006-07-10 16:59:05 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 25 Jason 2006-07-11 09:44:56 EDT
I no longer have access to the equipment that displayed this bug.  Go ahead and
close it.  Thanks,
Comment 26 Matthew Miller 2006-07-11 12:15:34 EDT
Marking fixed in rawhide as per comment #14.

Note You need to log in before you can comment on or make changes to this bug.